Subject: Re: bug#55039: [PATCH] Use VC-relative file names in ChangeLog entries

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Apr 2022 19:01:12 +0300

> From: Philip Kaludercic <[email-masked]>
> Date: Wed, 20 Apr 2022 14:19:39 +0000
> 
> By default C-c C-w (log-edit-generate-changelog-from-diff) just uses the
> file name when generating a changelog message.  As it has been requested
> to use the project relative path name when writing changelog messages,
> it seems to make sense to generate these automatically as well.
> 
> Alternatively, this could also be configured using a directory local
> variable that would be set for emacs.git.

First, I think this must be customizable, because different projects
have different conventions.

Second, I think the code should DTRT if there's already a ChangeLog
file in the current directory or in one of its parent directories,
because those usually show you the project's conventions.